<project
  xmlns="http://maven.apache.org/POM/4.0.0"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
>
  <parent>
    <groupId>de.ugoe.cs.quest</groupId>
    <artifactId>quest</artifactId>
    <version>0.0.1-SNAPSHOT</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <artifactId>quest-runner</artifactId>
  <name>quest-runner</name>
  <scm>
    <url>${quest-scm-trunk-dir}/quest-runner</url>
  </scm>
  <dependencies>
    <dependency>
      <groupId>de.ugoe.cs</groupId>
      <artifactId>java-utils</artifactId>
      <version>0.0.1-SNAPSHOT</version>
    </dependency>
    <dependency>
      <groupId>de.ugoe.cs.quest</groupId>
      <artifactId>quest-plugin-core</artifactId>
      <version>${project.parent.version}</version>
    </dependency>
    <dependency>
      <groupId>de.ugoe.cs.quest</groupId>
      <artifactId>quest-ui-core</artifactId>
      <version>${project.parent.version}</version>
    </dependency>
    <dependency>
      <groupId>de.ugoe.cs.quest</groupId>
      <artifactId>quest-ui-swt</artifactId>
      <version>${project.parent.version}</version>
    </dependency>
    <dependency>
      <groupId>net.sf.jopt-simple</groupId>
      <artifactId>jopt-simple</artifactId>
      <version>4.3</version>
    </dependency>
    <dependency>
      <groupId>de.ugoe.cs.quest</groupId>
      <artifactId>quest-plugin-guitar</artifactId>
      <version>${project.parent.version}</version>
    </dependency>
    <dependency>
      <groupId>de.ugoe.cs.quest</groupId>
      <artifactId>quest-plugin-jfc</artifactId>
      <version>${project.parent.version}</version>
    </dependency>
    <dependency>
      <groupId>de.ugoe.cs.quest</groupId>
      <artifactId>quest-plugin-mfc</artifactId>
      <version>${project.parent.version}</version>
    </dependency>
    <dependency>
      <groupId>de.ugoe.cs.quest</groupId>
      <artifactId>quest-plugin-php</artifactId>
      <version>${project.parent.version}</version>
    </dependency>
    <dependency>
      <groupId>log4j</groupId>
      <artifactId>log4j</artifactId>
      <version>1.2.17</version>
    </dependency>
  </dependencies>
  <build>
    <pluginManagement>
      <plugins>
        <plugin>
          <groupId>org.eclipse.m2e</groupId>
          <artifactId>lifecycle-mapping</artifactId>
          <version>1.0.0</version>
          <configuration>
            <lifecycleMappingMetadata>
              <pluginExecutions>
                <pluginExecution>
                  <pluginExecutionFilter>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-dependency-plugin</artifactId>
                    <versionRange>[1.0.0,)</versionRange>
                    <goals>
                      <goal>get</goal>
                    </goals>
                  </pluginExecutionFilter>
                  <action>
                    <ignore />
                  </action>
                </pluginExecution>
                <pluginExecution>
                  <pluginExecutionFilter>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-dependency-plugin</artifactId>
                    <versionRange>[1.0.0,)</versionRange>
                    <goals>
                      <goal>unpack</goal>
                    </goals>
                  </pluginExecutionFilter>
                  <action>
                    <ignore />
                  </action>
                </pluginExecution>
              </pluginExecutions>
            </lifecycleMappingMetadata>
          </configuration>
        </plugin>
      </plugins>
    </pluginManagement>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
        <configuration>
          <archive>
            <manifest>
              <addClasspath>true</addClasspath>
              <classpathPrefix>lib/</classpathPrefix>
              <mainClass>de.ugoe.cs.quest.ui.Runner</mainClass>
            </manifest>
          </archive>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-dependency-plugin</artifactId>
        <version>2.4</version>
        <executions>
          <execution>
            <id>get-jfc-plugin-config</id>
            <phase>process-classes</phase>
            <goals>
              <goal>unpack</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>de.ugoe.cs.quest</groupId>
                  <artifactId>quest-plugin-jfc</artifactId>
                  <version>${project.parent.version}</version>
                  <classifier>config</classifier>
                  <type>zip</type>
                  <outputDirectory>${project.build.directory}/data</outputDirectory>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>
          <execution>
            <id>get-mfc-plugin-config</id>
            <phase>process-classes</phase>
            <goals>
              <goal>unpack</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>de.ugoe.cs.quest</groupId>
                  <artifactId>quest-plugin-mfc</artifactId>
                  <version>${project.parent.version}</version>
                  <classifier>config</classifier>
                  <type>zip</type>
                  <outputDirectory>${project.build.directory}/data</outputDirectory>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>
          <execution>
            <id>get-php-plugin-config</id>
            <phase>process-classes</phase>
            <goals>
              <goal>unpack</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>de.ugoe.cs.quest</groupId>
                  <artifactId>quest-plugin-php</artifactId>
                  <version>${project.parent.version}</version>
                  <classifier>config</classifier>
                  <type>zip</type>
                  <outputDirectory>${project.build.directory}/data</outputDirectory>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <artifactId>maven-assembly-plugin</artifactId>
        <version>2.2-beta-2</version>
        <configuration>
          <descriptors>
            <descriptor>src/main/assembly/bin.xml</descriptor>
          </descriptors>
        </configuration>
        <executions>
          <execution>
            <id>make-assembly</id>
            <phase>package</phase>
            <goals>
              <goal>single</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
</project>